<template>
  <div>
    <h2>Создание нового предмета</h2>
    <input
      type="text"
      v-model="courseName"
      placeholder="Введите название предмета"
      class="nameInput"
    />
    <button class="createButton" @click="this.create">Создать</button>
  </div>
</template>

<script>
import axios from "axios";

export default {
  name: "CourseForm",
  data() {
    return {
      courseName: null,
      url: String(process.env.VUE_APP_API_URL)
    };
  },
  methods: {
    create() {
      axios
        .post(this.url + "course", {
          courseName: this.courseName,
        })
        .then(() => {
          this.$emit("onCreate");
          this.courseName = null;
        });
    },
  },
};
</script>

<style scoped>
.nameInput {
  border-radius: 5px;
  width: 300px;
  height: 25px;
  margin-right: 10px;
}

.createButton {
  height: 30px;
  border-radius: 5px;
  background: lightgreen;
  color: black;
}
</style>
